Annonce

#1 2021-03-05 18:08:05

Katryne
Membre
Provence
2016-12-03
1208

[Résolu] Installation impossible

Bonsoir, j'ai un hébergement chez Legtux, j'essaye d'y installer un Piwigo tout neuf, version 11.3. Mais ça veut pas ! J'ai des messages que je n'ai jamais encore rencontrés, pourtant, j'ai d'autres Piwigos sur d'autres comptes Legtux, mais en 2.10.2.

Warning: mysqli::__construct(): (HY000/2002): Connection refused in /var/www/legtux.org/users/XXX/www/include/dblayer/functions_mysqli.inc.php on line 52
    Warning: mysqli::set_charset(): Couldn't fetch mysqli in /var/www/legtux.org/users/XXX/www/include/dblayer/functions_mysqli.inc.php on line 88

Que se passe-t-il ? est-ce une question de mysql /mysqli ?

Voici la configuration du serveur de Legtux, loué chez OVH. (voir là : https://www.legtux.org/?page=serveur)

Le logiciel
OS : Debian Jessie (8.1)
Apache 2.4
PHP 7.2 (PHPInfo)
MySQL 5.7
Postfix

Le matériel
Serveur loué chez OVH
Processeur : Intel® Xeon E3 1225v2
Mémoire vive : 32 Go DDR3
Stockage : 2 To (en RAID-1)
Connexion réseau : 100 Mb/s


Merci d'avance de toute suggestion.


https://photos.revestou.fr/  v.12.2 PHP: 7.4.30 - https://dardennes.revestou.fr/ v.11.5 - http://photos.katrynou.fr/ v.11.5 PHP: 7.4.30 https://album.chauvigne.info/ v.12.3.0  PHP: 8.0.22
Système d'exploitation: Linux - Hébergeur 1&1-Ionos - MySQL: 5.7.38
Bibliothèque graphique: External ImageMagick 6.9.10-23

Hors ligne

#2 2021-03-05 19:46:57

k5
Équipe Piwigo
La reppe
2014-01-26
913

Re: [Résolu] Installation impossible


Beta test sur Github Codespaces !!!

Hors ligne

#3 2021-03-05 19:52:31

Katryne
Membre
Provence
2016-12-03
1208

Re: [Résolu] Installation impossible

Merci K5, j'avais lu ce message, mais je ne sais pas comment faire. Comme l'installation n'a pas commencé, je n'ai pas encore de fichier local/config/database.inc.php. Je dois l'inventer ?


https://photos.revestou.fr/  v.12.2 PHP: 7.4.30 - https://dardennes.revestou.fr/ v.11.5 - http://photos.katrynou.fr/ v.11.5 PHP: 7.4.30 https://album.chauvigne.info/ v.12.3.0  PHP: 8.0.22
Système d'exploitation: Linux - Hébergeur 1&1-Ionos - MySQL: 5.7.38
Bibliothèque graphique: External ImageMagick 6.9.10-23

Hors ligne

#4 2021-03-05 20:01:21

k5
Équipe Piwigo
La reppe
2014-01-26
913

Re: [Résolu] Installation impossible

Bonjour,
quoique c'est peut-être un droit d'accés sur le dossier piwigo en 777
Cordialement
k5


Beta test sur Github Codespaces !!!

Hors ligne

#5 2021-03-05 20:17:17

Katryne
Membre
Provence
2016-12-03
1208

Re: [Résolu] Installation impossible

Heu ... Je n'ai pas de dossier Piwigo : mon Piwigo est à la racine de mon hébergement. Tous mes dossiers sont en 755 et tous les fichiers en 644, comme d'habitude.


https://photos.revestou.fr/  v.12.2 PHP: 7.4.30 - https://dardennes.revestou.fr/ v.11.5 - http://photos.katrynou.fr/ v.11.5 PHP: 7.4.30 https://album.chauvigne.info/ v.12.3.0  PHP: 8.0.22
Système d'exploitation: Linux - Hébergeur 1&1-Ionos - MySQL: 5.7.38
Bibliothèque graphique: External ImageMagick 6.9.10-23

Hors ligne

#6 2021-03-05 20:47:10

Katryne
Membre
Provence
2016-12-03
1208

Re: [Résolu] Installation impossible

A tout hasard, j'ai posé un fichier local/config/database.inc.php avec juste : $conf['dblayer'] = 'mysqli'; dedans.
Mais je ne peux toujours pas installer : même messages d'erreur que signalés dans le premier post.

J'ai posté un message sur le forum Legtux.

Ce serait juste l'install qui poserait problème, puisque mes Piwigo tournent bien chez Legtux, mais en 2.10.2


https://photos.revestou.fr/  v.12.2 PHP: 7.4.30 - https://dardennes.revestou.fr/ v.11.5 - http://photos.katrynou.fr/ v.11.5 PHP: 7.4.30 https://album.chauvigne.info/ v.12.3.0  PHP: 8.0.22
Système d'exploitation: Linux - Hébergeur 1&1-Ionos - MySQL: 5.7.38
Bibliothèque graphique: External ImageMagick 6.9.10-23

Hors ligne

#7 2021-03-05 20:47:11

k5
Équipe Piwigo
La reppe
2014-01-26
913

Re: [Résolu] Installation impossible

Bonjour
as-tu fais une phpinfo.php sur ton site pour tester si php 7 soit activé ?
Cordialement
k5


Beta test sur Github Codespaces !!!

Hors ligne

#8 2021-03-05 20:52:04

Katryne
Membre
Provence
2016-12-03
1208

Re: [Résolu] Installation impossible

K5, je comprends pas ce que tu me demandes de faire. C'est php 7.4 sur ce site, comme sur tout le serveur.


https://photos.revestou.fr/  v.12.2 PHP: 7.4.30 - https://dardennes.revestou.fr/ v.11.5 - http://photos.katrynou.fr/ v.11.5 PHP: 7.4.30 https://album.chauvigne.info/ v.12.3.0  PHP: 8.0.22
Système d'exploitation: Linux - Hébergeur 1&1-Ionos - MySQL: 5.7.38
Bibliothèque graphique: External ImageMagick 6.9.10-23

Hors ligne

#9 2021-03-05 21:13:17

k5
Équipe Piwigo
La reppe
2014-01-26
913

Re: [Résolu] Installation impossible

Bonjour,
essaye d'installer wordpress ou phpbb ...?
Cordialement
k5


Beta test sur Github Codespaces !!!

Hors ligne

#10 2021-03-05 21:41:17

Katryne
Membre
Provence
2016-12-03
1208

Re: [Résolu] Installation impossible

J'ai essayé avec un Piwigo 2.10.2, c'est pareil. Mes Piwigos qui tournent bien chez Legtux ont été installés avant php 7.4 et ont eu droit aux mises à jour successives du php sans problème. C'est l'install qui est impossible en php 7.4.


https://photos.revestou.fr/  v.12.2 PHP: 7.4.30 - https://dardennes.revestou.fr/ v.11.5 - http://photos.katrynou.fr/ v.11.5 PHP: 7.4.30 https://album.chauvigne.info/ v.12.3.0  PHP: 8.0.22
Système d'exploitation: Linux - Hébergeur 1&1-Ionos - MySQL: 5.7.38
Bibliothèque graphique: External ImageMagick 6.9.10-23

Hors ligne

#11 2021-03-05 21:47:00

Katryne
Membre
Provence
2016-12-03
1208

Re: [Résolu] Installation impossible

Voilà la config du Piwigo sur mon autre compte Legtux

    Piwigo 2.10.2
    Système d'exploitation: Linux
    PHP: 7.4.15
    MySQL: 5.5.5-10.3.27-MariaDB-0+deb10u1
    Bibliothèque graphique: ImageMagick 6.9.10-23


https://photos.revestou.fr/  v.12.2 PHP: 7.4.30 - https://dardennes.revestou.fr/ v.11.5 - http://photos.katrynou.fr/ v.11.5 PHP: 7.4.30 https://album.chauvigne.info/ v.12.3.0  PHP: 8.0.22
Système d'exploitation: Linux - Hébergeur 1&1-Ionos - MySQL: 5.7.38
Bibliothèque graphique: External ImageMagick 6.9.10-23

Hors ligne

#12 2021-03-05 22:27:17

Katryne
Membre
Provence
2016-12-03
1208

Re: [Résolu] Installation impossible

Je viens d'installer un Piwigo 11.3 en php4 sur mon Ionos et c'est bon avec la même version de php :

    Piwigo 11.3.0 Dernière version ?
    Système d'exploitation: Linux
    PHP: 7.4.15
    MySQL: 5.7.32-log
    Bibliothèque graphique: External ImageMagick 6.9.10-23

C'est OVH le problème ?


https://photos.revestou.fr/  v.12.2 PHP: 7.4.30 - https://dardennes.revestou.fr/ v.11.5 - http://photos.katrynou.fr/ v.11.5 PHP: 7.4.30 https://album.chauvigne.info/ v.12.3.0  PHP: 8.0.22
Système d'exploitation: Linux - Hébergeur 1&1-Ionos - MySQL: 5.7.38
Bibliothèque graphique: External ImageMagick 6.9.10-23

Hors ligne

#13 2021-03-05 23:10:53

k5
Équipe Piwigo
La reppe
2014-01-26
913

Re: [Résolu] Installation impossible


Beta test sur Github Codespaces !!!

Hors ligne

#14 2021-03-05 23:30:30

Katryne
Membre
Provence
2016-12-03
1208

Re: [Résolu] Installation impossible

Ça y est, c'est passé ! Mais je sais pas pourquoi ni comment.
Merci de ta patience, K5.


https://photos.revestou.fr/  v.12.2 PHP: 7.4.30 - https://dardennes.revestou.fr/ v.11.5 - http://photos.katrynou.fr/ v.11.5 PHP: 7.4.30 https://album.chauvigne.info/ v.12.3.0  PHP: 8.0.22
Système d'exploitation: Linux - Hébergeur 1&1-Ionos - MySQL: 5.7.38
Bibliothèque graphique: External ImageMagick 6.9.10-23

Hors ligne

#15 2021-03-05 23:35:02

k5
Équipe Piwigo
La reppe
2014-01-26
913

Re: [Résolu] Installation impossible

Bonjour
aaaah ouf !!!!!!
Cordialement
k5

je mets en résolu


Beta test sur Github Codespaces !!!

Hors ligne

Pied de page des forums

Propulsé par FluxBB

github twitter newsletter Faire un don Piwigo.org © 2002-2022 · Contact